Bug 445406 - rescue mode crashes when facing root on software RAID device
rescue mode crashes when facing root on software RAID device
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.1
All Linux
high Severity high
: rc
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-06 14:49 EDT by Lutz Lange
Modified: 2009-03-17 16:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-17 16:03:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lutz Lange 2008-05-06 14:49:02 EDT
Description of problem:
Anaconda rescue mode crashes when facing sw raid devices...

We have an issue in GLS Training. The current RH300 Course has a lab in unit 7
that asks that the students to set up a system with root on an SW-RAID0 device. 

If something goes wrong, and they use the RHEL5.1 rescue mode, anaconda crashes
when it tries to mount local file systems. 

The system is accessible though, manual investigation shows, no reasons why
anaconda should not be able to do that.

How reproducible:
Install rhel5.1 with the root on sw-raid. 
Fire up anaconda in rescue mode. Choose "Continue" to mount local file systems
-> crash!!

Fixing this is very important since we face this issues in training. 

Manual Steps to access the system :
1. find sw-raid partions # fdisk /dev/sda (fd - type )
2. create a first /etc/mdadm.conf :
  DEVICE /dev/sda3
  DEVICE /dev/sda5
3. scan the devices # mdadm --examine -s >> /etc/mdadm.conf
4. activate the array # mdadm -A -s
Now the root file system is mountable ...

Actual results:
Anaconda crash.

Expected results:
Mounted filesystems.


Additional info: Customer facing issue.
Comment 1 Chris Lumens 2008-06-21 17:05:57 EDT
Please attach the complete traceback or error message to this bug report.
Comment 2 Charlie Brady 2009-03-17 15:25:11 EDT
Lutz, if this is important, then you need to provide the requested data. Please replicate with 5.3 first.

Chris, this should be marked INSUFFICIENT_DATA shouldn't it?

FWIW, I use rescue mode with software raid root partition with no problem.
Comment 3 Chris Lumens 2009-03-17 15:45:40 EDT
Yes, we still need the data requested to have any hope of fixing this bug.  If we don't get the information by the time we start making the list of 5.5 bugs to fix, we'll have to close this one as INSUFFICIENT_DATA.
Comment 4 Lutz Lange 2009-03-17 16:03:00 EDT
I will reopen this bug if the need arises. We still use RHEL5.1 in GLS training. So testing for this bug would require additional time i don't have at the moment.
Comment 5 Charlie Brady 2009-03-17 16:15:52 EDT
(In reply to comment #4)
> So testing for this bug would require additional time i don't have at
> the moment.  

If you had reported the details originally rather than just 'crash!!' then the problem might have been fixed by now :-)

Please read this very fine essay:

http://www.chiark.greenend.org.uk/~sgtatham/bugs.html

Note You need to log in before you can comment on or make changes to this bug.